## gdb-m68hc1x 6.0-1

=== debian/changelog ===
gdb-m68hc1x (6.0-1) unstable; urgency=low

  * Initial Release (closes: bug#243171).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Apr 2004 17:07:54 +0200

Local variables:
mode: debian-changelog
End:
