=== debian/control ===
Source: gdb-m68hc1x
Section: devel
Priority: extra
Maintainer: Aurelien Jarno <aurel32@debian.org>
Standards-Version: 3.6.1
Build-Depends: autoconf2.13, debhelper (>= 4.0.0), toolchain-source-gdb (>= 3.3-1), tar (>= 1.13.18), bzip2, libncurses5-dev, libreadline4-dev, binutils-m68hc1x (>= 2.14.90.0.7-1)

Package: gdb-m68hc1x
Section: devel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, binutils-m68hc1x (>= 2.14.90.0.7-1)
Description: The GNU Debugger for the Motorola 68HC11/12 processors
 GDB is a source-level debugger, capable of breaking programs at any
 specific line, displaying variable values, and determining where errors
 errors occurred. Currently, it works for C, C++. A must-have for any
 serious programmer.
 . 
 This package has been compiled to target the Motorola's 68HC11/12 
 architecture, and also includes a simulator for the corresponding 
 processors.
 .
 This package is primarily for 68HC11/12 developers and cross-compilers
 and is not needed by normal users or developers.
