=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

unpack: unpack-stamp
unpack-stamp:
	tar xjf /usr/src/toolchain/gdb.tar.bz2
	mv gdb* src
	mkdir build
	touch unpack-stamp

configure: configure-stamp
configure-stamp: unpack-stamp
	dh_testdir

	# Add here commands to configure the package.
	cd build && \
	../src/configure --prefix=/usr \
	                 --infodir=/usr/share/info \
			 --mandir=/usr/share/man \
			 --build=$(DEB_BUILD_GNU_TYPE) \
			 --host=$(DEB_HOST_GNU_TYPE) \
			 --target=m68hc11
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	cd build && $(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gdb-m68hc1x
	cd build && $(MAKE) install \
	    prefix=$(CURDIR)/debian/gdb-m68hc1x/usr \
	    infodir=$(CURDIR)/debian/gdb-m68hc1x/usr/share/info \
	    mandir=$(CURDIR)/debian/gdb-m68hc1x/usr/share/man

	# Files also in main gdb pkg
	cd $(CURDIR)/debian/gdb-m68hc1x/usr/ && \
		rm -rf share/locale \
		       share/info \
		       lib/*.a

	# Also create m68hc12-*
	ln -s m68hc11-run $(CURDIR)/debian/gdb-m68hc1x/usr/bin/m68hc12-run
	ln -s m68hc11-gdb $(CURDIR)/debian/gdb-m68hc1x/usr/bin/m68hc12-gdb
	ln -s m68hc11-run.1.gz $(CURDIR)/debian/gdb-m68hc1x/usr/share/man/man1/m68hc12-run.1.gz
	ln -s m68hc11-gdb.1.gz $(CURDIR)/debian/gdb-m68hc1x/usr/share/man/man1/m68hc12-gdb.1.gz
	
clean:
	dh_testdir
	dh_testroot
	rm -rf src build
	rm -f build-stamp configure-stamp unpack-stamp
	
	dh_clean

# Build architecture-independent files.
binary-indep: build install

# Build architecture-dependent files.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
